Bug 1317306 - Review Request: legofy - Make images look as LEGO blocks
Review Request: legofy - Make images look as LEGO blocks
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: William Moreno
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-NEEDSPONSOR
  Show dependency treegraph
 
Reported: 2016-03-13 19:40 EDT by Omar Berroteran
Modified: 2016-07-31 13:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-31 13:41:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
williamjmorenor: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Omar Berroteran 2016-03-13 19:40:49 EDT
Spec URL: https://lkf.fedorapeople.org/legofy.spec
SRPM URL: https://lkf.fedorapeople.org/legofy-1.0.0-1.fc22.src.rpm
Description: Make images look as if they are made out of 1x1 LEGO blocks
Fedora Account System Username: lkf
Comment 1 Eduardo Mayorga 2016-03-13 23:55:12 EDT
- You can drop Requires: python3-libs since it is installed by default in every Fedora install.

- Use %{name} in the URL tag. It becomes:
https://pypi.python.org/packages/source/l/%{name}/%{name}-%{version}.tar.gz
Comment 2 William Moreno 2016-03-14 15:04:28 EDT
Package Review
==============

legofy.noarch: W: no-manual-page-for-binary legofy

Replace:
install -pDm644 %{SOURCE1} %{buildroot}%{_mandir}/man1/leggofy.1

with
install -pDm644 %{SOURCE1} %{buildroot}%{_mandir}/man1/legofy.1

This package looks god for me, Eduardo comments are no bloquers issues, but I want to see some informals reviews before sponsor you as a Fedora Packager.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build
     process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====
Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====
Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: legofy-1.0.0-1.fc25.noarch.rpm
          legofy-1.0.0-1.fc25.src.rpm
legofy.noarch: E: explicit-lib-dependency python3-libs
legofy.noarch: W: spelling-error %description -l en_US gif -> GIF, fig, gig
legofy.noarch: W: no-manual-page-for-binary legofy
legofy.src: W: spelling-error %description -l en_US gif -> GIF, fig, gig
2 packages and 0 specfiles checked; 1 errors, 3 warnings.

Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
legofy.noarch: E: explicit-lib-dependency python3-libs
legofy.noarch: W: spelling-error %description -l en_US gif -> GIF, fig, gig
legofy.noarch: W: no-manual-page-for-binary legofy
1 packages and 0 specfiles checked; 1 errors, 2 warnings.

Requires
--------
legofy (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3-click
    python3-libs
    python3-pillow

Provides
--------
legofy:
    legofy

Source checksums
----------------
https://pypi.python.org/packages/source/l/legofy/legofy-1.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : 3df337047fff12dee9b503ae712534d52ad225e12e0bd0301d9d2f832d0d67be
  CHECKSUM(SHA256) upstream package : 3df337047fff12dee9b503ae712534d52ad225e12e0bd0301d9d2f832d0d67be
Comment 3 Omar Berroteran 2016-03-17 03:25:19 EDT
(In reply to Eduardo Mayorga from comment #1)
> - You can drop Requires: python3-libs since it is installed by default in
> every Fedora install.
> 
> - Use %{name} in the URL tag. It becomes:
> https://pypi.python.org/packages/source/l/%{name}/%{name}-%{version}.tar.gz

Listo.
Comment 4 Omar Berroteran 2016-03-17 03:33:22 EDT
(In reply to Omar Berroteran from comment #0)
> Spec URL: https://lkf.fedorapeople.org/legofy.spec
> SRPM URL: https://lkf.fedorapeople.org/legofy-1.0.0-1.fc22.src.rpm
> Description: Make images look as if they are made out of 1x1 LEGO blocks
> Fedora Account System Username: lkf

https://lkf.fedorapeople.org/legofy-1.0.0-1.fc23.src.rpm
Comment 5 Omar Berroteran 2016-03-17 03:33:45 EDT
(In reply to William Moreno from comment #2)
> Package Review
> ==============
> 
> legofy.noarch: W: no-manual-page-for-binary legofy
> 
> Replace:
> install -pDm644 %{SOURCE1} %{buildroot}%{_mandir}/man1/leggofy.1
> 
> with
> install -pDm644 %{SOURCE1} %{buildroot}%{_mandir}/man1/legofy.1
> 
> This package looks god for me, Eduardo comments are no bloquers issues, but
> I want to see some informals reviews before sponsor you as a Fedora Packager.
> 
> ===== MUST items =====
> 
> Generic:
> [x]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [x]: License field in the package spec file matches the actual license.
> [x]: Package contains no bundled libraries without FPC exception.
> [x]: Changelog in prescribed format.
> [x]: Sources contain only permissible code or content.
> [x]: Package contains desktop file if it is a GUI application.
> [-]: Development files must be in a -devel package
> [x]: Package uses nothing in %doc for runtime.
> [x]: Package consistently uses macros (instead of hard-coded directory
>      names).
> [x]: Package is named according to the Package Naming Guidelines.
> [x]: Package does not generate any conflict.
> [x]: Package obeys FHS, except libexecdir and /usr/target.
> [x]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
> [x]: Requires correct, justified where necessary.
> [x]: Spec file is legible and written in American English.
> [-]: Package contains systemd file(s) if in need.
> [x]: Package is not known to require an ExcludeArch tag.
> [x]: Large documentation must go in a -doc subpackage.
>      Note: Documentation size is 10240 bytes in 1 files.
> [x]: Package complies to the Packaging Guidelines
> [x]: Package successfully compiles and builds into binary rpms on at least
>      one supported primary architecture.
> [x]: Package installs properly.
> [x]: Rpmlint is run on all rpms the build produces.
>      Note: There are rpmlint messages (see attachment).
> [x]: If (and only if) the source package includes the text of the
>      license(s) in its own file, then that file, containing the text of the
>      license(s) for the package is included in %license.
> [x]: Package requires other packages for directories it uses.
> [x]: Package must own all directories that it creates.
> [x]: Package does not own files or directories owned by other packages.
> [x]: All build dependencies are listed in BuildRequires, except for any
>      that are listed in the exceptions section of Packaging Guidelines.
> [x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
> [x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.
> [x]: Macros in Summary, %description expandable at SRPM build time.
> [x]: Dist tag is present.
> [x]: Package does not contain duplicates in %files.
> [x]: Permissions on files are set properly.
> [x]: Package use %makeinstall only when make install DESTDIR=... doesn't
>      work.
> [x]: Package is named using only allowed ASCII characters.
> [x]: Package does not use a name that already exists.
> [x]: Package is not relocatable.
> [x]: Sources used to build the package match the upstream source, as
>      provided in the spec URL.
> [x]: Spec file name must match the spec package %{name}, in the format
>      %{name}.spec.
> [x]: File names are valid UTF-8.
> [x]: Packages must not store files under /srv, /opt or /usr/local
> 
> Python:
> [ ]: Python eggs must not download any dependencies during the build
>      process.
> [ ]: A package which is used by another package via an egg interface should
>      provide egg info.
> [ ]: Package meets the Packaging Guidelines::Python
> [x]: Package contains BR: python2-devel or python3-devel
> [x]: Binary eggs must be removed in %prep
> 
> ===== SHOULD items =====
> Generic:
> [x]: If the source package does not include license text(s) as a separate
>      file from upstream, the packager SHOULD query upstream to include it.
> [x]: Final provides and requires are sane (see attachments).
> [x]: Package functions as described.
> [x]: Latest version is packaged.
> [x]: Package does not include license text files separate from upstream.
> [x]: Patches link to upstream bugs/comments/lists or are otherwise
>      justified.
> [x]: Description and summary sections in the package spec file contains
>      translations for supported Non-English languages, if available.
> [x]: Package should compile and build into binary rpms on all supported
>      architectures.
> [-]: %check is present and all tests pass.
> [x]: Packages should try to preserve timestamps of original installed
>      files.
> [x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
> [x]: Sources can be downloaded from URI in Source: tag
> [x]: Reviewer should test that the package builds in mock.
> [x]: Buildroot is not present
> [x]: Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
> [x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
> [x]: SourceX is a working URL.
> [x]: Spec use %global instead of %define unless justified.
> 
> ===== EXTRA items =====
> Generic:
> [x]: Rpmlint is run on all installed packages.
>      Note: There are rpmlint messages (see attachment).
> [x]: Spec file according to URL is the same as in SRPM.
> 
> Rpmlint
> -------
> Checking: legofy-1.0.0-1.fc25.noarch.rpm
>           legofy-1.0.0-1.fc25.src.rpm
> legofy.noarch: E: explicit-lib-dependency python3-libs
> legofy.noarch: W: spelling-error %description -l en_US gif -> GIF, fig, gig
> legofy.noarch: W: no-manual-page-for-binary legofy
> legofy.src: W: spelling-error %description -l en_US gif -> GIF, fig, gig
> 2 packages and 0 specfiles checked; 1 errors, 3 warnings.
> 
> Rpmlint (installed packages)
> ----------------------------
> sh: /usr/bin/python: No such file or directory
> legofy.noarch: E: explicit-lib-dependency python3-libs
> legofy.noarch: W: spelling-error %description -l en_US gif -> GIF, fig, gig
> legofy.noarch: W: no-manual-page-for-binary legofy
> 1 packages and 0 specfiles checked; 1 errors, 2 warnings.
> 
> Requires
> --------
> legofy (rpmlib, GLIBC filtered):
>     /usr/bin/python3
>     python(abi)
>     python3-click
>     python3-libs
>     python3-pillow
> 
> Provides
> --------
> legofy:
>     legofy
> 
> Source checksums
> ----------------
> https://pypi.python.org/packages/source/l/legofy/legofy-1.0.0.tar.gz :
>   CHECKSUM(SHA256) this package     :
> 3df337047fff12dee9b503ae712534d52ad225e12e0bd0301d9d2f832d0d67be
>   CHECKSUM(SHA256) upstream package :
> 3df337047fff12dee9b503ae712534d52ad225e12e0bd0301d9d2f832d0d67be

Listo.
Comment 6 William Moreno 2016-03-17 11:49:20 EDT
Please use the format:

Spec URL: 
SRPM URL:
Comment 7 William Moreno 2016-03-17 11:51:23 EDT
Please also remember to bump the release tag and make a entry in the changelog any time to you make a change to the spec.
Comment 8 William Moreno 2016-04-06 13:15:58 EDT
Any update?
Comment 9 William Moreno 2016-06-11 16:48:37 EDT
I have been working with and I think he is ready to become a Fedora Packager.
Comment 10 William Moreno 2016-06-11 16:52:11 EDT
I have aproved lkf in the Fedora Packager Commiter group in FAS, please wait some hours to request the new package in pkgdb.
Comment 11 Gwyn Ciesla 2016-06-20 09:51:52 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/legofy
Comment 12 Gwyn Ciesla 2016-06-20 10:08:54 EDT
Package request has been denied with the reason: Duplicate
Comment 13 Gwyn Ciesla 2016-06-20 10:10:09 EDT
Package request has been denied with the reason: Duplicate
Comment 14 Gwyn Ciesla 2016-06-20 10:11:20 EDT
Package request has been denied with the reason: Duplicate
Comment 15 Gwyn Ciesla 2016-06-20 10:11:45 EDT
Package request has been denied with the reason: Duplicate
Comment 16 Gwyn Ciesla 2016-06-20 10:21:09 EDT
Package request has been denied with the reason: Duplicate

Note You need to log in before you can comment on or make changes to this bug.